Table of Contents

Breaking Changes

The following sections provide more details on the breaking changes introduced for release 2024.14.0.

Currency field added to Suppliers

A new field, Supplier->Currency, has been added to suppliers. Previously, a supplier's currency was inferred from Supplier->Site_Currency. With this update, the supplier lookup for requisition items now displays and maps the supplier's currency directly, rather than using the site currency.

This is a breaking change as Supplier->Site_Currency is no longer returned.

Impacted Areas

API Method Path
MM GET /Modules/MM/Requisitions/Items/Lookups/LookupRequisitionItemSupplier

Consider also changing any customised query resource actions (that is custom profiles for dashboards, lookups and grids) which have references to Supplier->Site_Currency. To return the actual currency for a supplier, replace Supplier->Site_Currency with Supplier->Currency.

Consider also replacing extended references to Supplier_Site_Currency from other entities with Supplier_Currency.